Summary:        Great utility for computing hash sums
Name:           rhash
Version:        1.4.4
Release:        2%{?dist}

License:        MIT
URL:            https://github.com/rhash/RHash
Source0:        https://github.com/rhash/RHash/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc

%description
RHash (Recursive Hasher) is a console utility for calculation and verification
of magnet links and various message digests, including CRC32, CRC32C, MD4, MD5,
SHA1, SHA256, SHA512, SHA3, AICH, ED2K, DC++ TTH, BitTorrent BTIH, Tiger, GOST
R 34.11-94, GOST R 34.11-2012, RIPEMD-160, HAS-160, EDON-R, and Whirlpool.

Message digests are used to ensure and verify integrity of large volumes of data
for a long-term storing or transferring.

Program features:
Ability to process directories recursively.
Output in a predefined (SFV, BSD-like) or a user-defined format.
Calculation of Magnet links.
Updating hash files (adding message digests of files missing in the hash file).
Calculates several message digests in one pass.
Portability: the program works the same on Linux, Unix, macOS or Windows.


%package        devel
Summary:        Development files for lib%{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides development files for %{name}


%prep
%autosetup -n RHash-%{version}
sed -i -e '/^INSTALL_SHARED/s/644/755/' librhash/Makefile


%build
INSTALL_INCDIR=%{_includedir} ./configure --sysconfdir=%{_sysconfdir} --exec-prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
%make_build OPTFLAGS="%{optflags}" OPTLDFLAGS="-g %{?__global_ldflags}"


%install
%make_install
make DESTDIR=%{buildroot} -C librhash install-so-link install-lib-headers


%check
make test-shared


%files
%license COPYING
%doc ChangeLog README.md
%config(noreplace) %{_sysconfdir}/rhashrc
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.4.4-1
- Upgrade to version 1.4.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.2-1
- initial build
